function bval = poly_isnaninf(P)
% call : bval = poly_isnaninf(P)
%  returns 1 if P contains an inifinite or a nan entry, otherwise
%  returna 0

%  input 
%     P         input array of matrices, matrix, vector or scalar
%  output
%     bval      1 if P has an infinite or a nan entry, 0 otherwise.


if isnan(P) | isinf(P)
    bval = 1;
else
    bval = 0;
end
    
